# gnupg_deletekey

(PECL gnupg >= 0.5)

gnupg_deletekey — Delete a key from the keyring

### Descripción

gnupg_deletekey(resource `$identifier`, string `$key`, bool `$allow_secret`): bool

### Parámetros

`identifier`

  El identificador gnupg, desde una llamada a gnupg_init() o gnupg.

`key`

  The key to delete.

`allow_secret`

  It specifies whether to delete secret keys as well.

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error.

### Ejemplos

Ejemplo #1 Procedural gnupg_deletekey() example

`<?php
$res = gnupg_init();
gnupg_deletekey($res, "8660281B6051D071D94B5B230549F9DC851566DC");
?>`

Ejemplo #2 OO gnupg_deletekey() example

`<?php
$gpg = new gnupg();
$gpg->deletekey("8660281B6051D071D94B5B230549F9DC851566DC");
?>`